## [`dune-tpmc`](https://gitlab.com/dune-archiso/pkgbuilds/dune/-/raw/main/PKGBUILDS/dune-tpmc/PKGBUILD)

<!-- [![Packaging status](
https://repology.org/badge/vertical-allrepos/dune-tpmc.svg
)](https://repology.org/project/dune-tpmc/versions) -->

```
==> Starting check()...
/usr/bin/cmake -S/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6 -B/tmp/makepkg/dune-tpmc/src/build-cmake --check-build-system CMakeFiles/Makefile.cmake 0
/usr/sbin/make  -f CMakeFiles/Makefile2 build_tests
make[1]: Entering directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
/usr/bin/cmake -S/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6 -B/tmp/makepkg/dune-tpmc/src/build-cmake --check-build-system CMakeFiles/Makefile.cmake 0
/usr/bin/cmake -E cmake_progress_start /tmp/makepkg/dune-tpmc/src/build-cmake/CMakeFiles 6
/usr/sbin/make  -f CMakeFiles/Makefile2 CMakeFiles/build_tests.dir/all
make[2]: Entering directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
/usr/sbin/make  -f dune/tpmc/test/CMakeFiles/consistencytest.dir/build.make dune/tpmc/test/CMakeFiles/consistencytest.dir/depend
make[3]: Entering directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
cd /tmp/makepkg/dune-tpmc/src/build-cmake && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6 /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test /tmp/makepkg/dune-tpmc/src/build-cmake /tmp/makepkg/dune-tpmc/src/build-cmake/dune/tpmc/test /tmp/makepkg/dune-tpmc/src/build-cmake/dune/tpmc/test/CMakeFiles/consistencytest.dir/DependInfo.cmake --color=
make[3]: Leaving directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
/usr/sbin/make  -f dune/tpmc/test/CMakeFiles/consistencytest.dir/build.make dune/tpmc/test/CMakeFiles/consistencytest.dir/build
make[3]: Entering directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
[ 16%] Building CXX object dune/tpmc/test/CMakeFiles/consistencytest.dir/consistencytest.cc.o
cd /tmp/makepkg/dune-tpmc/src/build-cmake/dune/tpmc/test && /tmp/makepkg/dune-tpmc/src/build-cmake/CXX_compiler.sh -DENABLE_GMP=1 -DENABLE_MPI=1 -DENABLE_QUADMATH=1 -DENABLE_TPMC=1 -DENABLE_UG=1 -DHAVE_CONFIG_H -DMETIS_API_VERSION=5 -DMPICH_SKIP_MPICXX -DModelP -DOMPI_SKIP_MPICXX -D_GLIBCXX_USE_FLOAT128 -I/tmp/makepkg/dune-tpmc/src/build-cmake -I/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6 -isystem /usr/include/scotch -std=c++17  -fPIE -pthread -fext-numeric-literals -std=gnu++17 -MD -MT dune/tpmc/test/CMakeFiles/consistencytest.dir/consistencytest.cc.o -MF CMakeFiles/consistencytest.dir/consistencytest.cc.o.d -o CMakeFiles/consistencytest.dir/consistencytest.cc.o -c /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc
/usr/sbin/g++ -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS  -DENABLE_GMP=1 -DENABLE_MPI=1 -DENABLE_QUADMATH=1 -DENABLE_TPMC=1 -DENABLE_UG=1 -DHAVE_CONFIG_H -DMETIS_API_VERSION=5 -DMPICH_SKIP_MPICXX -DModelP -DOMPI_SKIP_MPICXX -D_GLIBCXX_USE_FLOAT128 -I/tmp/makepkg/dune-tpmc/src/build-cmake -I/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6 -isystem /usr/include/scotch -std=c++17 -fPIE -pthread -fext-numeric-literals -std=gnu++17 -MD -MT dune/tpmc/test/CMakeFiles/consistencytest.dir/consistencytest.cc.o -MF CMakeFiles/consistencytest.dir/consistencytest.cc.o.d -o CMakeFiles/consistencytest.dir/consistencytest.cc.o -c /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc
In file included from /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:20:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh: In function ‘bool TpmcTest::isOnReferenceEdge(const Vector&)’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:183:3: warning: no return statement in function returning non-void [-Wreturn-type]
  183 |   }
      |   ^
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<3>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::CubeGeometry<3> >; T = TpmcTest::VolumeTest<TpmcTest::CubeGeometry<3> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:468:87:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
  198 |     const Dune::ReferenceElement<ctype, dim>& referenceElement =
      |                                               ^~~~~~~~~~~~~~~~
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<2>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::CubeGeometry<2> >; T = TpmcTest::VolumeTest<TpmcTest::CubeGeometry<2> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:469:87:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 2>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 2>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 2> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::SimplexGeometry<3>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::SimplexGeometry<3> >; T = TpmcTest::VolumeTest<TpmcTest::SimplexGeometry<3> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:470:93:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::SimplexGeometry<2>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::SimplexGeometry<2> >; T = TpmcTest::VolumeTest<TpmcTest::SimplexGeometry<2> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:471:93:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 2>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 2>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 2> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::PrismGeometry; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::PrismGeometry>; T = TpmcTest::VolumeTest<TpmcTest::PrismGeometry>]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:472:82:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘TpmcTest::VolumeTest<Geometry>::VolumeTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::PyramidGeometry; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllInsideGenerator<TpmcTest::PyramidGeometry>; T = TpmcTest::VolumeTest<TpmcTest::PyramidGeometry>]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:473:86:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:198:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::CubeGeometry<3>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<3>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::CubeGeometry<3> >; T = TpmcTest::ValidCoordinatesTest<TpmcTest::CubeGeometry<3> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:508:113:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
  277 |     const Dune::ReferenceElement<ctype, dim>& referenceElement =
      |                                               ^~~~~~~~~~~~~~~~
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::CubeGeometry<2>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<2>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::CubeGeometry<2> >; T = TpmcTest::ValidCoordinatesTest<TpmcTest::CubeGeometry<2> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:509:113:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 2>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 2>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 2> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::SimplexGeometry<3>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::SimplexGeometry<3>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::SimplexGeometry<3> >; T = TpmcTest::ValidCoordinatesTest<TpmcTest::SimplexGeometry<3> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:510:119:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 2, 2, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::SimplexGeometry<2>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::SimplexGeometry<2>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::SimplexGeometry<2> >; T = TpmcTest::ValidCoordinatesTest<TpmcTest::SimplexGeometry<2> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:511:119:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 2>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 2>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 2> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::PrismGeometry]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::PrismGeometry; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::PrismGeometry>; T = TpmcTest::ValidCoordinatesTest<TpmcTest::PrismGeometry>]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:512:107:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc: In instantiation of ‘bool TpmcTest::ValidCoordinatesTest<Geometry>::check(I, I) const [with I = __gnu_cxx::__normal_iterator<const Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >*, std::vector<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 3, 3, Dune::MultiLinearGeometryTraits<double> > > > >; Geometry = TpmcTest::PyramidGeometry]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:263:14:   required from ‘TpmcTest::ValidCoordinatesTest<Geometry>::ValidCoordinatesTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::PyramidGeometry; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::PyramidGeometry>; T = TpmcTest::ValidCoordinatesTest<TpmcTest::PyramidGeometry>]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:513:111:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:277:47: error: invalid initialization of reference of type ‘Dune::ReferenceElement<double, 3>&’ {aka ‘const Dune::Geo::DeprecatedReferenceElement<double, 3>&’} from expression of type ‘const ReferenceElement’ {aka ‘const Dune::Geo::ReferenceElement<Dune::Geo::ReferenceElementImplementation<double, 3> >’}
In file included from /tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:19:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh: In instantiation of ‘void Dune::TpmcRefinement<ctype, dim, TF>::reconstructInterface() const [with ctype = double; int dim = 3; TF = tpmc::ThresholdFunctor<double>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh:57:7:   required from ‘Dune::TpmcRefinement<ctype, dim, TF>::const_interface_iterator Dune::TpmcRefinement<ctype, dim, TF>::beginInterface() const [with ctype = double; int dim = 3; TF = tpmc::ThresholdFunctor<double>; Dune::TpmcRefinement<ctype, dim, TF>::const_interface_iterator = std::vector<Dune::MultiLinearGeometry<double, 2, 3, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 2, 3, Dune::MultiLinearGeometryTraits<double> > > >::const_iterator]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:145:59:   required from ‘TpmcTest::InterfaceTest<Geometry>::InterfaceTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<3>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::CubeGeometry<3> >; T = TpmcTest::InterfaceTest<TpmcTest::CubeGeometry<3> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:523:99:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh:111:58: error: ‘geometryTypeFromVertexCount’ was not declared in this scope
  111 |             GeometryType gt = geometryTypeFromVertexCount(dim - 1, coordinates.size());
      |                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh: In instantiation of ‘void Dune::TpmcRefinement<ctype, dim, TF>::reconstructInterface() const [with ctype = double; int dim = 2; TF = tpmc::ThresholdFunctor<double>]’:
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh:57:7:   required from ‘Dune::TpmcRefinement<ctype, dim, TF>::const_interface_iterator Dune::TpmcRefinement<ctype, dim, TF>::beginInterface() const [with ctype = double; int dim = 2; TF = tpmc::ThresholdFunctor<double>; Dune::TpmcRefinement<ctype, dim, TF>::const_interface_iterator = std::vector<Dune::MultiLinearGeometry<double, 1, 2, Dune::MultiLinearGeometryTraits<double> >, std::allocator<Dune::MultiLinearGeometry<double, 1, 2, Dune::MultiLinearGeometryTraits<double> > > >::const_iterator]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:145:59:   required from ‘TpmcTest::InterfaceTest<Geometry>::InterfaceTest(const typename Geometry::VectorType&) [with Geometry = TpmcTest::CubeGeometry<2>; typename Geometry::VectorType = std::vector<double, std::allocator<double> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/common/utilities.hh:237:9:   required from ‘void TpmcTest::Test::run() [with G = TpmcTest::AllCombinationGenerator<TpmcTest::CubeGeometry<2> >; T = TpmcTest::InterfaceTest<TpmcTest::CubeGeometry<2> >]’
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/test/consistencytest.cc:524:99:   required from here
/tmp/makepkg/dune-tpmc/src/dune-tpmc-releases-2.6/dune/tpmc/tpmcrefinement.hh:111:58: error: ‘geometryTypeFromVertexCount’ was not declared in this scope
make[3]: *** [dune/tpmc/test/CMakeFiles/consistencytest.dir/build.make:79: dune/tpmc/test/CMakeFiles/consistencytest.dir/consistencytest.cc.o] Error 1
make[3]: Leaving directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
make[2]: *** [CMakeFiles/Makefile2:1257: dune/tpmc/test/CMakeFiles/consistencytest.dir/all] Error 2
make[2]: Leaving directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:1186: CMakeFiles/build_tests.dir/rule] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-tpmc/src/build-cmake'
make: *** [Makefile:650: build_tests] Error 2
==> ERROR: A failure occurred in check().
```
